Sybase Workspace 2.1: Do NOT update Data Tools Platform (DTP) from Eclipse’s website!

Sybase Workspace

Sybase
Sybase

is an Eclipse distribution that uses highly customized Data Tools Platform (DTP) plugins.  Updating the Sybase version of DTP with the standard DTP release from Eclipse will break Sybase’s Workspace.

Last night I updated Workspace’s DTP with the standard DTP release from Eclipse’s website.  Several oddities started showing up when accessing the DTP releases:

Configuring the db connection
Configuring the db connection

Testing the connection worked fine but when you open the database connection to a Sybase ASE database errors are reported:

Multiple errors have occurred
Multiple errors have occurred

and

Connection errors
Connection errors

If you run into this issue, you will need to uninstall Sybase’s Workspace (delete the %SYBASE%/Workspace directory after the uninstall is complete) to resolve it.

I’ve created feature request CR 565285 with Sybase:

Workspace’s DTP (data tools platform) should be updated with the DTP current release from Eclipse. This will allow developers that work in a mixed environment to use Workspace with non-Sybase DBMS’s (view stored procedures, triggers, etc).

If you believe that this feature request is desired, please let Sybase know.

Share Button